Deprecated items in Global Site Search + Global Site Tags

In evaluating plugins for their quality, I use the "Log Deprecated Notices" and "Deprecation Checker" plugins and noticed these entries.

Incorrect Use of wpdb::prepare()
Used in wp-content/plugins/global-site-search/global-site-search.php on line 159.
wpdb::prepare() requires at least two arguments.
This message was added in version 3.5.

Select Incorrect Use of wpdb::prepare() Incorrect Use of wpdb::prepare()
Used in wp-content/plugins/global-site-tags/widget-global-site-tags.php on line 171.
wpdb::prepare() requires at least two arguments.
This message was added in version 3.5.

Line 141 - wp-content/plugins/multisite-global-search/inc/shortcodes.php - attribute_escape - deprecated since 2.8 - use esc_attr()

Hope to see them fixed soon! Thanks for considering my input.